Skip to main content
`Ctrl`+`K`
scipy.stats.qmc.PoissonDisk.

# fill_space

PoissonDisk.fill_space()

  Draw `n` samples in the interval `[l_bounds, u_bounds]`.

  Unlike `random`, this method will try to add points until the space is full. Depending on `candidates` (and to a lesser extent other parameters), some empty areas can still be present in the sample.

  Warning

  This can be extremely slow in high dimensions or if the `radius` is very small-with respect to the dimensionality.

  Returns:
    sample array_like (n, d)

      QMC sample.